Bug 1023398 - python-easygui crashes when pynotify is used
python-easygui crashes when pynotify is used
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 06:56 EDT by Till Maas
Modified: 2015-02-18 06:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:38:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script to reproduce the bug (194 bytes, text/x-python)
2013-10-25 06:56 EDT, Till Maas
no flags Details

  None (edit)
Description Till Maas 2013-10-25 06:56:29 EDT
Created attachment 816079 [details]
Script to reproduce the bug

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.    $ python crash-easygui.py

Actual results:

    Traceback (most recent call last):
      File "crash-easygui.py", line 12, in <module>
        easygui.passwordbox("test")
      File "/usr/lib/python2.7/site-packages/easygui.py", line 745, in passwordbox
        return __fillablebox(msg, title, default, mask="*",image=image,root=root)
      File "/usr/lib/python2.7/site-packages/easygui.py", line 818, in __fillablebox
        messageWidget = Message(messageFrame, width="4.5i", text=msg)
      File "/usr/lib64/python2.7/lib-tk/Tkinter.py", line 2762, in __init__
        Widget.__init__(self, master, 'message', cnf, kw)
      File "/usr/lib64/python2.7/lib-tk/Tkinter.py", line 2036, in __init__
        (widgetName, self._w) + extra + self._options(cnf))
    _tkinter.TclError: bad screen distance "4.5i"
     

Expected results:
should ask for a password.

Additional info:
Is it maybe threading related? I found some indications that Tkinter might have problems when threads are invovled that look like this, but I do not start any threads.
Comment 1 Gwyn Ciesla 2014-02-12 15:13:06 EST
I can't reproduce this on f20, I don't have an f19 instance available.  Does this still happen for you?
Comment 2 Till Maas 2014-02-18 07:03:20 EST
(In reply to Jon Ciesla from comment #1)
> I can't reproduce this on f20, I don't have an f19 instance available.  Does
> this still happen for you?

It happens on F20 with i3 or Gnome as window manager.
Comment 3 Gwyn Ciesla 2014-02-18 10:25:29 EST
Still can't reproduce, and an attempted patch made it crash for me in a different way. Is this on 32 or 64-bit?
Comment 4 Till Maas 2014-02-18 10:30:57 EST
64 bit
Comment 5 Gwyn Ciesla 2014-02-18 10:34:21 EST
Odd, I'm using GNOME also and it's fine.  What are your Python/tkinter EVRs?
Comment 6 Gwyn Ciesla 2014-02-18 10:36:54 EST
Oh, and notify-python as well, please.
Comment 7 Till Maas 2014-02-18 10:58:25 EST
python-2.7.5-10.fc20
notify-python-0.1.1-25.fc20
python-easygui-0.96-7.fc20
tkinter-2.7.5-10.fc20

I just found it it is locale dependent:
try:
LANG=de_DE python crash-easygui.py

I guess the dot in the float is a problem since in the German locale, "," is used in floats instead.
Comment 8 Gwyn Ciesla 2014-02-18 11:19:12 EST
Ok, I think this is a tkinter problem, I'll reassign.  Python maintainer, if I'm wrong and you have a fix idea for python-easygui I'm all ears.
Comment 9 Thomas Spura 2014-02-18 11:40:15 EST
It seems pynotify and easygui are fighting for the locale handling.

It is possible to reproduce it with:
$ LC_ALL=de_DE.utf8 python -c "import easygui ; import pynotify; easygui.passwordbox('test')"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/easygui.py", line 745, in passwordbox
    return __fillablebox(msg, title, default, mask="*",image=image,root=root)
  File "/usr/lib/python2.7/site-packages/easygui.py", line 818, in __fillablebox
    messageWidget = Message(messageFrame, width="4.5i", text=msg)
  File "/usr/lib64/python2.7/lib-tk/Tkinter.py", line 2762, in __init__
    Widget.__init__(self, master, 'message', cnf, kw)
  File "/usr/lib64/python2.7/lib-tk/Tkinter.py", line 2036, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
_tkinter.TclError: bad screen distance "4.5i"

But not with:
$ LC_ALL=de_DE.utf8 python -c "import pynotify; import easygui; easygui.passwordbox('test')"
Comment 10 Fedora End Of Life 2015-01-09 17:20:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Till Maas 2015-01-29 11:06:02 EST
This seems to be fixed in Fedora 21.
Comment 12 Fedora End Of Life 2015-02-18 06:38:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.